### Method

# Ide Context set_workdir

#### Declaration

    void
    ide_context_set_workdir (
      IdeContext* self,
      GFile* workdir
    )

#### Description

Sets the working directory for the project.

This should generally only be set once after checking out the project.

In future releases, changes may be made to change this in support of git-worktrees or similar workflows.

Available since: | 3.32

Sets property | `Ide.Context:workdir`

#### Parameters

`workdir` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.